你好,游客 登录 注册 搜索
背景:
阅读新闻

Ubuntu 14.04安装vim-gtk实现Vim语法高亮

[日期:2017-03-27] 来源:Linux社区  作者:10km [字体: ]

默认安装Ubuntu 14.04后,Vim编辑器是不支持语法高亮的,黑乎乎一片,用起来非常不习惯,而且一些键的定义也与我以前熟悉的CentOS6上的习惯不一样,很不方便,网上有很多文章描述了如何设置vim的语法高亮,但感觉都好复杂,要改好多配置,看着我头痛,就没有一种简单的办法吗?为神马我用centos6.5的时候,就没有对vim做过任何修改,就能支持基本的语法高亮呢?

原来vim有不同的版本,ubuntu默认安装的版本是不支持语法高亮的,如果要让这个默认版本支持语法高亮就要手工修改/etc/vim/vimrc文件(太麻烦了)。但是vim有增强的gui版本,就默认有语法高亮支持,不需要什么配置修改就能用。

办法很简单:只需要安装vim-gtk就好了。(而且发现vim-gtk版本居然编辑键的定义也与我之前centos6的习惯一样了)

sudo apt-get install vim-gtk

发现貌似vim gui版本也有好几个,比如 vim-gnome,有空你可以试试,反正我用vim-gtk版本已经满足要求,就不去折腾了。

Vim入门基础知识集锦  http://www.linuxidc.com/Linux/2017-02/140903.htm

Vim入门基础教程 http://www.linuxidc.com/Linux/2017-02/140279.htm

把Vim打造成优秀的C++ IDE  http://www.linuxidc.com/Linux/2016-06/132262.htm

Ubuntu 14.04升级Vim7.4到8.0  http://www.linuxidc.com/Linux/2016-11/136816.htm

Vim安装youcompleteme自动补全插件  http://www.linuxidc.com/Linux/2016-11/137665.htm

Linux Vim编辑器使用简单讲解  http://www.linuxidc.com/Linux/2016-12/138930.htm

Vim安装与配置进阶版 http://www.linuxidc.com/Linux/2017-03/141724.htm

Ubuntu 16.04 Vim YouCompleteMe自动补全的安装配置与使用  http://www.linuxidc.com/Linux/2017-02/141088.htm

本文永久更新链接地址http://www.linuxidc.com/Linux/2017-03/142250.htm

linux
相关资讯       Vim语法高亮  vim-gtk 
本文评论   查看全部评论 (0)
表情: 表情 姓名: 字数

       

评论声明
  • 尊重网上道德,遵守中华人民共和国的各项有关法律法规
  • 承担一切因您的行为而直接或间接导致的民事或刑事法律责任
  • 本站管理人员有权保留或删除其管辖留言中的任意内容
  • 本站有权在网站内转载或引用您的评论
  • 参与本评论即表明您已经阅读并接受上述条款